<?php
/*
Plugin Name: jFlow Plus 
Version: 1.2.0
Description: This plugin implements the brilliant jFlow Plus Slider into your WordPress blog easily, without touching other galleries.
Author: Pritesh Gupta
Author URI: http://www.priteshgupta.com
Plugin URI: http://www.priteshgupta.com/plugins/jflow
License: GPL
*/
        add_action('activate_jflow_plus.php', 'jflow_plus');
		function jflow_plus(){
			add_option("jflow_plus", '800');
			add_option("jflow_plus2", '350');
			add_option("jflow_plus3", '400');
			add_option("jflow_plus4", '10000');
			add_option("jflow_plus_display", 'yes');
		}
	add_action('wp_head', 'jflow_plus_session');
	function jflow_plus_session(){$_SESSION['jflow_plus_nri'] = 0;}
	
    add_action('admin_menu', 'jflow_plus_menu');
    function jflow_plus_menu() {
        if (function_exists('add_options_page')) {
            add_options_page('jFlow Plus', 'jFlow Plus', 9, 'jflow_plus', 'jflow_plus_display');
        }
    }
    function jflow_plus_display(){
		
        if($_POST['Submit']){
			$jflow_plus = $_POST['jflow_plus'];
			$jflow_plus2 = $_POST['jflow_plus2'];
			$jflow_plus3 = $_POST['jflow_plus3'];
			$jflow_plus4 = $_POST['jflow_plus4'];
			update_option("jflow_plus", $jflow_plus);
			update_option("jflow_plus2", $jflow_plus2);
			update_option("jflow_plus3", $jflow_plus3);
			update_option("jflow_plus4", $jflow_plus4);
			update_option("jflow_plus_display", $_POST['jflow_plus_display']);
			
			echo '<div id="message" class="updated fade"><p>Update Successful!</p></div>';
		}
		$output = '<form method="post" action="'.$_SERVER['REQUEST_URI'].'">';
		?>
	<style type="text/css">
	.author{
	text-decoration:none;
	}
		
	table{
	width:60%;
	border-collapse:collapse;
	table-layout:auto;
	vertical-align:top;
	margin-bottom:15px;
	border:1px solid #CCCCCC;
	}

	table thead th{
	color:#FFFFFF;
	background-color:#666666;
	border:1px solid #CCCCCC;
	border-collapse:collapse;
	text-align:center;
	table-layout:auto;
	vertical-align:middle;
	}

	table tbody td{
	vertical-align:top;
	border-collapse:collapse;
	border-left:1px solid #CCCCCC;
	border-right:1px solid #CCCCCC;
	}
	
	table thead th, table tbody td{
	padding:5px;
	border-collapse:collapse;
	}

	table tbody tr.light{
	color:#333333;
	background-color:#F7F7F7;
	}

	table tbody tr.dark{
	color:#333333;
	background-color:#E8E8E8;
	}
	
	input[type=text]{
	background: #cecdcd; /* Fallback */
	background: rgba(206, 205, 205, 0.6);
	border: 2px solid #666;
	padding: 6px 5px;
	line-height: 1em;
	-webkit-box-shadow: inset -1px 1px 1px rgba(255, 255, 255, 0.65);
	-moz-box-shadow: inset -1px 1px 1px rgba(255, 255, 255, 0.65);
	box-shadow: inset -1px 1px 1px rgba(255, 255, 255, 0.65);
	-webkit-border-radius: 8px !important; 
	-moz-border-radius: 8px !important;
	border-radius: 8px !important; 
	margin-bottom: 10px;
	width: 300px;
	}
	
	select{
	background: #cecdcd; /* Fallback */
	background: rgba(206, 205, 205, 0.6);
	border: 2px solid #666;
	padding: 6px 5px;
	height: 2.8em !important;
	-webkit-box-shadow: inset -1px 1px 1px rgba(255, 255, 255, 0.65);
	-moz-box-shadow: inset -1px 1px 1px rgba(255, 255, 255, 0.65);
	box-shadow: inset -1px 1px 1px rgba(255, 255, 255, 0.65);
	-webkit-border-radius: 8px !important; 
	-moz-border-radius: 8px !important;
	border-radius: 8px !important; 
	margin-bottom: 10px;
	width: 300px;
	text-align:center;
	}
	
	</style>
		<?php
		$output .= '<div class="wrap">'."\n";
		$output .= '	<h2>jFlow Plus Plugin Options</h2>'."\n";
		$output .= '	WordPress Plugin by <strong><a href="http://www.priteshgupta.com" target="_blank" class="author">Pritesh Gupta</a></strong> || jFlow Plus by <strong><a href="http://www.wordimpressed.com/" target="_blank" class="author">Devin Walker</a></strong> with code from <strong><a href="http://www.karmagination.com/" target="_blank" class="author">ktan</a></strong> || <a href="http://www.priteshgupta.com/plugins/jflow-plus" target="_blank">Visit Release Page</a>'."\n";
		$output .= '	<br /> <br />'."\n";
		$output .= '	<table border="0" cellspacing="0" cellpadding="6">'."\n";
		
		$jflow_plus_display = get_option('jflow_plus_display');
		$output .= '		<tr class="dark">'."\n";
		$output .= '			<td width="75%">Enter the numerical value of width of slider in pixels: </td>'."\n";
		$output .= '			<td width="25%"><input type="text" name="jflow_plus" value="'.get_option('jflow_plus').'" /></td>';
		$output .= '		</tr>'."\n";

		$output .= '		<tr class="light">'."\n";
		$output .= '			<td width="75%">Enter the numerical value of height of slider in pixels:  </td>'."\n";
		$output .= '			<td width="25%"><input type="text" name="jflow_plus2" value="'.get_option('jflow_plus2').'" /></td>';
		$output .= '		</tr>'."\n";

		$output .= '		<tr class="dark">'."\n";
		$output .= '			<td width="50%">Enter time in miliseconds to transition one slide:  </td>'."\n";
		$output .= '			<td><input type="text" name="jflow_plus3" value="'.get_option('jflow_plus3').'" /></td>';
		$output .= '		</tr>'."\n";

		$output .= '		<tr class="light">'."\n";
		$output .= '			<td width="75%">Automatically change slides(Autoplay)?</td>'."\n";
		$output .= '			<td width="25%">';
		$output .= '				<select name="jflow_plus_display">'."\n";
		$output .= '					<option value="no"';if ($jflow_plus_display == 'no') $output .= 'selected="selected"';$output .= '>No</option>'."\n";
		$output .= '					<option value="yes"';if ($jflow_plus_display == 'yes') $output .= 'selected="selected"';$output .= '>Yes</option>'."\n";
		$output .= '				</select>'."\n";
		$output .= '			</td>';
		$output .= '		</tr>'."\n";

		$output .= '		<tr class="dark">'."\n";
		$output .= '			<td width="50%">Enter time in miliseconds to display one slide(Display time per slide):  </td>'."\n";
		$output .= '			<td><input type="text" name="jflow_plus4" value="'.get_option('jflow_plus4').'" /></td>';
		$output .= '		</tr>'."\n";

		$output .= '	</table>'."\n";
		$output .= "\n";
		$output .= '				<input type="submit" name="Submit" class="button-primary" value="Update Options &raquo;" />&nbsp;&nbsp;'."\n";
		$output .= '</form>';
		$output .= '</div>'."\n";
        echo $output;
    }
function jFlowHeader() {
$width= get_option("jflow_plus");
$height = get_option("jflow_plus2");
$time = get_option("jflow_plus3");
$time_slide = get_option("jflow_plus4");
?>	
<!-- Begin jFlow Plus WordPress Plugin -->
<link href="<?php echo WP_PLUGIN_URL.'/jflow-plus/'?>jflow.style.css" type="text/css" rel="stylesheet"/>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
<script type="text/javascript">
<?php include ("jflow.plus.1.php");?>
timer=setInterval(function(){$(opts.next).click()},<?php echo $time_slide ?>); }}
<?php include ("jflow.plus.2.php");?>
</script>
<script language="javascript"> 
	$(document).ready(function(){
	    $("#jFlowController").jFlow({
			controller: ".jFlowControl", // must be class, use . sign
			slideWrapper : "#jFlowSlider", // must be id, use # sign
			slides: "#jFlow",  // the div where all your sliding divs are nested in
			selectedWrapper: "jFlowSelected",  // just pure text, no sign
			width: "<?php echo $width ?>px",  // this is the width for the content-slider
			height: "<?php echo $height ?>px",  // this is the height for the content-slider
			duration: <?php echo $time ?>,  // time in miliseconds to transition one slide
			prev: ".jFlowPrev", // must be class, use . sign
			next: ".jFlowNext", // must be class, use . sign
			auto: <?php if (get_option("jflow_plus_display") == 'yes'){ ?>true<?php } else {?>false<?php }?>
    });
});
</script> 
<style type="text/css">
#container{
	width: <?php echo $width ?>px;
	height: <?php echo $height ?>px;
}
</style>
<!-- End jFlow Plus WordPress Plugin -->
<?php }	add_action('wp_head', 'jFlowHeader'); remove_filter('the_content', 'wpautop');?>
